aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorepoch <epoch@enzo.thebackupbox.net>2020-12-19 03:49:28 -0600
committerepoch <epoch@enzo.thebackupbox.net>2020-12-19 03:49:28 -0600
commitbc856202d45e117d4f5f5006be2d2387e6799e6a (patch)
tree3c406ee008d24d8d24af29ef847c111599bb6e6c
parent6241f5a8627632242b7cf613bdc0a296ed85b35e (diff)
downloadhackvr-bc856202d45e117d4f5f5006be2d2387e6799e6a.tar.gz
hackvr-bc856202d45e117d4f5f5006be2d2387e6799e6a.zip
changed how the clock example works so it can work stand-alone and be make install'd and used easier by other scripts
-rw-r--r--share/hackvr/examples/clock/Makefile11
-rwxr-xr-xshare/hackvr/examples/clock/hackvr-clock73
-rwxr-xr-xshare/hackvr/examples/clock/run7
-rwxr-xr-xshare/hackvr/examples/clock/run.pre24
-rwxr-xr-xshare/hackvr/examples/clock/set_clock.sh3
5 files changed, 111 insertions, 7 deletions
diff --git a/share/hackvr/examples/clock/Makefile b/share/hackvr/examples/clock/Makefile
new file mode 100644
index 0000000..ea7944a
--- /dev/null
+++ b/share/hackvr/examples/clock/Makefile
@@ -0,0 +1,11 @@
+PREFIX:=/usr/local
+
+.PHONY: all install
+
+hackvr-clock: run.pre generate.py
+ ./generate.py | cat run.pre /dev/stdin > hackvr-clock
+ chmod +x hackvr-clock
+all: hackvr-clock
+
+install: all
+ install -t $(PREFIX)/bin hackvr-clock
diff --git a/share/hackvr/examples/clock/hackvr-clock b/share/hackvr/examples/clock/hackvr-clock
new file mode 100755
index 0000000..50f0f2c
--- /dev/null
+++ b/share/hackvr/examples/clock/hackvr-clock
@@ -0,0 +1,73 @@
+#!/usr/bin/env bash
+set -eo pipefail
+if [ "$1" = "init" ];then
+ grep -A1000 '___CUT___' "$0"
+ exit
+elif [ "$1" = "set" ];then
+ hour=$(date +%H | sed 's/^0//')
+ minute=$(date +%M | sed 's/^0//')
+ second=$(date +%S | sed 's/^0//')
+ printf "_clock_face_hand_hour_ rotate 0 0 -%s\n" "$[$hour * 30 + ($minute / 2)]"
+ printf "_clock_face_hand_minute_ rotate 0 0 -%s\n" "$[$minute * 6]"
+ printf "_clock_face_hand_second_ rotate 0 0 -%s\n" "$[$second * 6]"
+ #printf "_clock_face_hand_hour_ rotate 0 0 %s\n" "$[$hour * 30 + ($minute / 2)]"
+ #printf "_clock_face_hand_minute_ rotate 0 0 %s\n" "$[$minute * 6]"
+ #printf "_clock_face_hand_second_ rotate 0 0 %s\n" "$[$second * 6]"
+else
+ nonblocktail \
+ <(echo $USER move 0 0 -30) \
+ <("$0" init) \
+ <(while true;do "$0" set;sleep 1;done) \
+ /dev/stdin 2>/dev/null \
+ | hackvr 2>/dev/null
+fi
+exit 0
+___CUT___
+_clock_face_digit_1_ addshape 2 4 3.99 7.66 0 5.99 7.66 0 5.99 9.66 0 3.99 9.66 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_2_ addshape 2 4 7.66 4.0 0 9.66 4.0 0 9.66 6.0 0 7.66 6.0 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_3_ addshape 2 4 9.0 -1.0 0 11.0 -1.0 0 11.0 1.0 0 9.0 1.0 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_4_ addshape 2 4 7.66 -6.0 0 9.66 -6.0 0 9.66 -4.0 0 7.66 -4.0 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_5_ addshape 2 4 4.0 -9.67 0 6.0 -9.67 0 6.0 -7.67 0 4.0 -7.67 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_6_ addshape 2 4 -1.0 -11.0 0 1.0 -11.0 0 1.0 -9.0 0 -1.0 -9.0 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_7_ addshape 2 4 -6.0 -9.67 0 -4.0 -9.67 0 -4.0 -7.67 0 -6.0 -7.67 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_8_ addshape 2 4 -9.67 -6.01 0 -7.67 -6.01 0 -7.67 -4.01 0 -9.67 -4.01 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_9_ addshape 2 4 -11.0 -1.01 0 -9.0 -1.01 0 -9.0 0.99 0 -11.0 0.99 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_10_ addshape 2 4 -9.67 3.99 0 -7.67 3.99 0 -7.67 5.99 0 -9.67 5.99 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_11_ addshape 2 4 -6.01 7.66 0 -4.01 7.66 0 -4.01 9.66 0 -6.01 9.66 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
+_clock_face_digit_12_ addshape 2 4 -1.01 9.0 0 0.99 9.0 0 0.99 11.0 0 -1.01 11.0 0
+_clock_face_hand_hour_ addshape 2 3 -1 -1 0 0 5 0 1 -1 0
+_clock_face_hand_minute_ addshape 2 3 -.75 -.75 0 0 8 0 .75 -.75 0
+_clock_face_hand_second_ addshape 2 3 -.25 -.25 0 0 10 0 .25 -.25 0
diff --git a/share/hackvr/examples/clock/run b/share/hackvr/examples/clock/run
deleted file mode 100755
index 1341b89..0000000
--- a/share/hackvr/examples/clock/run
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/env bash
-nonblocktail \
- <(echo $USER move 0 0 -30) \
- <(./generate.py ) \
- <(while true;do ./set_clock.sh ;sleep 1;done) \
- /dev/stdin 2>/dev/null \
- | hackvr 2>/dev/null
diff --git a/share/hackvr/examples/clock/run.pre b/share/hackvr/examples/clock/run.pre
new file mode 100755
index 0000000..aa426b6
--- /dev/null
+++ b/share/hackvr/examples/clock/run.pre
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+if [ "$1" = "init" ];then
+ grep -A1000 '___CUT___' "$0"
+ exit
+elif [ "$1" = "set" ];then
+ hour=$(date +%H | sed 's/^0//')
+ minute=$(date +%M | sed 's/^0//')
+ second=$(date +%S | sed 's/^0//')
+ printf "_clock_face_hand_hour_ rotate 0 0 -%s\n" "$[$hour * 30 + ($minute / 2)]"
+ printf "_clock_face_hand_minute_ rotate 0 0 -%s\n" "$[$minute * 6]"
+ printf "_clock_face_hand_second_ rotate 0 0 -%s\n" "$[$second * 6]"
+ #printf "_clock_face_hand_hour_ rotate 0 0 %s\n" "$[$hour * 30 + ($minute / 2)]"
+ #printf "_clock_face_hand_minute_ rotate 0 0 %s\n" "$[$minute * 6]"
+ #printf "_clock_face_hand_second_ rotate 0 0 %s\n" "$[$second * 6]"
+else
+ nonblocktail \
+ <(echo $USER move 0 0 -30) \
+ <("$0" init) \
+ <(while true;do "$0" set;sleep 1;done) \
+ /dev/stdin 2>/dev/null \
+ | hackvr 2>/dev/null
+fi
+exit 0
+___CUT___
diff --git a/share/hackvr/examples/clock/set_clock.sh b/share/hackvr/examples/clock/set_clock.sh
index 45db14c..36c3fb4 100755
--- a/share/hackvr/examples/clock/set_clock.sh
+++ b/share/hackvr/examples/clock/set_clock.sh
@@ -5,3 +5,6 @@ second=$(date +%S | sed 's/^0//')
printf "_clock_face_hand_hour_ rotate 0 0 -%s\n" "$[$hour * 30 + ($minute / 2)]"
printf "_clock_face_hand_minute_ rotate 0 0 -%s\n" "$[$minute * 6]"
printf "_clock_face_hand_second_ rotate 0 0 -%s\n" "$[$second * 6]"
+#printf "_clock_face_hand_hour_ rotate 0 0 %s\n" "$[$hour * 30 + ($minute / 2)]"
+#printf "_clock_face_hand_minute_ rotate 0 0 %s\n" "$[$minute * 6]"
+#printf "_clock_face_hand_second_ rotate 0 0 %s\n" "$[$second * 6]"